
locals {
  cgw_description = var.cgw_description
  cgw_id = var.cgw_id
  cgw_ip_address = var.cgw_ip_address
  cgw_name = var.cgw_name
  ike_auth_alg = var.ike_auth_alg
  ike_enc_alg = var.ike_enc_alg
  ike_lifetime = var.ike_lifetime
  ike_local_id = var.ike_local_id
  ike_mode = var.ike_mode
  ike_pfs = var.ike_pfs
  ike_remote_id = var.ike_remote_id
  ike_version = var.ike_version
  ipsec_auth_alg = var.ipsec_auth_alg
  ipsec_connection_name = var.ipsec_connection_name
  ipsec_effect_immediately = var.ipsec_effect_immediately
  ipsec_enc_alg = var.ipsec_enc_alg
  ipsec_lifetime = var.ipsec_lifetime
  ipsec_local_subnet = var.ipsec_local_subnet
  ipsec_pfs = var.ipsec_pfs
  ipsec_remote_subnet = var.ipsec_remote_subnet
  psk = var.psk
  region = var.region
  ssl_cipher = var.ssl_cipher
  ssl_client_cert_names = var.ssl_client_cert_names
  ssl_client_ip_pool = var.ssl_client_ip_pool
  ssl_compress = var.ssl_compress
  ssl_local_subnet = var.ssl_local_subnet
  ssl_port = var.ssl_port
  ssl_protocol = var.ssl_protocol
  ssl_vpn_server_name = var.ssl_vpn_server_name
  vpc_id = var.vpc_id
  vpn_bandwidth = var.vpn_bandwidth
  vpn_charge_type = var.vpn_charge_type
  vpn_description = var.vpn_description
  vpn_enable_ipsec = var.vpn_enable_ipsec
  vpn_enable_ssl = var.vpn_enable_ssl
  vpn_name = var.vpn_name
  vpn_period = var.vpn_period
  vpn_ssl_connections = var.vpn_ssl_connections
}
